#include <iostream>
#include <stdio.h>
#include <bcm2835.h>
#include <stdlib.h>
#include <time.h>

using namespace std;
 
#define SIG RPI_BPLUS_GPIO_J8_11 // Numéro de la broche sur le GPIO
#define clk_div BCM2835_I2C_CLOCK_DIVIDER_2500

// g++ -o MCP3427_2018_02_07 bcm2835.cpp MCP3427_2018_02_07.cpp 
 
 
double getMesure() 
	{

	int temp=0;
	double mesure = 0;
	unsigned int slave_address=0x68;

	char i2cOut[2];
	char i2cIn[3];

	if (!bcm2835_init())
    		{
      		printf("bcm2835_init failed. Are you running as root??\n");
    		}
      	if (!bcm2835_i2c_begin())
      		{
        	printf("bcm2835_i2c_begin failed. Are you running as root??\n");
      		}
	bcm2835_i2c_setSlaveAddress(slave_address);
	bcm2835_i2c_setClockDivider(clk_div);
	i2cOut[0]=0x98;
	bcm2835_i2c_write(i2cOut, 1); // Configuration en 16bits et mesure sur CH1+ en continu
	bcm2835_i2c_read(i2cIn, 3);
	mesure = (256*i2cIn[0] + i2cIn[1])*2.048/32767;
        return mesure;
}
 
int main(void) 
{
 while(1)
	{
	cout<<"Valeur de CH1+ = "<< getMesure()<<" V"<<endl;
       delay(1000);
 	}
bcm2835_i2c_end();
return 0;
}
